Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-68950

Update ssl_helpers.js for Ubuntu 22.04

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 6.0.2, 6.1.0-rc0
    • None
    • None
    • Fully Compatible
    • ALL
    • v6.0
    • Security 2022-09-05

    Description

      Ubuntu 22.04, like Ubuntu 20.04, does not support TLS 1.0 and TLS 1.1 by default. We need to update the if checks in https://github.com/mongodb/mongo/blob/3012bea28480a74c4e8e7ae442f0b533ea7829f9/jstests/ssl/libs/ssl_helpers.js#L322-L328 to fix ssl_count_protocols.js and ssl_alert_reporting.js.

      Attachments

        Issue Links

          Activity

            People

              mark.benvenuto@mongodb.com Mark Benvenuto
              mark.benvenuto@mongodb.com Mark Benvenuto
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: